Bug 1136100

Summary: python-billiard-3.5.0.2 breaks weblate
Product: [openSUSE] openSUSE Distribution Reporter: Stanislav Brabec <sbrabec>
Component: OtherAssignee: Stanislav Brabec <sbrabec>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P3 - Medium CC: antoine.belvire, benoit.monin, mmachova, tchvatal, vcizek
Version: Leap 15.1   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: obs:running:11878:moderate
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Stanislav Brabec 2019-05-23 15:09:32 UTC
There is a bug in the python-billiard that causes this error in celery and that breaks weblate background tasks:

[2019-05-23 14:41:55,880: ERROR/PoolWorker-3] worker unable to determine worker memory usage

A fix is here:
https://github.com/celery/billiard/issues/228

I am proposing to upgrade to 3.5.0.5 or 3.6.0.
Comment 1 Markéta Machová 2019-05-24 08:20:21 UTC
A single patch would be faster to get to the distribution, I guess... 
I have created a request: https://build.opensuse.org/request/show/705186

But I agree with the upgrade.
Comment 2 Swamp Workflow Management 2019-05-24 08:50:08 UTC
This is an autogenerated message for OBS integration:
This bug (1136100) was mentioned in
https://build.opensuse.org/request/show/705186 15.1 / python-billiard
Comment 3 Stanislav Brabec 2019-05-24 14:09:09 UTC
3.6.0.0 is already in the Factory. I just successfully tested it in the Weblate, so it should be safe to do a version upgrade in Leap 15.1.
https://build.opensuse.org/request/show/705261
Comment 4 Vítězslav Čížek 2019-05-27 15:34:19 UTC
(In reply to Marketa Calabkova from comment #1)
> A single patch would be faster to get to the distribution, I guess... 

It won't make any difference as the package is openSUSE only. There's nothing like the ECO process in place.

> I have created a request: https://build.opensuse.org/request/show/705186
> 
> But I agree with the upgrade.

Let's do the update then.

I revoked Standa's request because it was to 15.1 only.

Marketa or Standa, please submit the version update to openSUSE_Leap 15.0 codestream from which 15.1 inherits the python-billiard package.
That'll avoid forking the package in 15.1 and both Leaps will get the updated version.
Comment 5 Swamp Workflow Management 2019-05-28 14:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1136100) was mentioned in
https://build.opensuse.org/request/show/706037 15.0 / python-billiard
Comment 6 Swamp Workflow Management 2019-06-06 13:11:19 UTC
openSUSE-RU-2019:1521-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1136100
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    python-billiard-3.6.0.0-lp151.3.3.1
openSUSE Leap 15.0 (src):    python-billiard-3.6.0.0-lp150.2.3.1
Comment 7 Swamp Workflow Management 2019-06-07 10:11:17 UTC
openSUSE-RU-2019:1523-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1136100
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    python-billiard-3.6.0.0-bp150.2.3.1
Comment 8 Tomáš Chvátal 2019-06-07 12:49:05 UTC
Released.
Comment 9 Swamp Workflow Management 2019-08-14 10:10:59 UTC
openSUSE-RU-2019:1871-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1136100
CVE References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    python-billiard-3.6.0.0-bp151.4.3.1